Deleting saved searches deletes by name.
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.1.4

Description

It seems that Redmine deletes saved Issues searches by name, not by query_id. Thus, when deleting a saved search all saved

searches with the same name are deleted.

History

#1 - 2013-08-07 14:05 - Dotan Cohen

I've noticed that if I edit an issue, then a new issue with the same name is created. Deleting the original issue does not delete the new issue.

However, if I create a new issue with the same name as an extant issue, then deleting the original issue deletes also the new issue.

It seems that I do not have permissions to update the title an original description in light of this finding. Please edit those fields to clarify. Thank you.

#2 - 2013-08-07 14:22 - Thomas Godard

Can't reproduce that part on Redmine 2.3.1

Dotan Cohen wrote:

However, if I create a new issue with the same name as an already existant issue, then deleting the original issue deletes also the new issue.

 Dotan Cohen wrote:

It seems that Redmine deletes saved Issues searches by name, not by query_id. Thus, when deleting a saved search all saved searches with

the same name are deleted.

 Can't reproduce that part either if saved Issues searches corresponds to My Custom Queries on Redmine 2.3.1

#3 - 2013-08-07 18:35 - Dotan Cohen

I am having a hard time reproducing the issue as well. I've had it happen twice, but I cannot reproduce the issue now. I will leave the issue open for

some time and if I cannot provide detailed reproduction instructions soon then I'll close the issue. Thanks!

#4 - 2013-08-07 19:04 - Etienne Massip

- Status changed from New to Needs feedback

- Resolution set to Cant reproduce

#5 - 2015-08-23 17:17 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed
